--- /Volumes/Disk2/CVS_images/svn/fltk-1.1/fltk-config	2005-05-16 21:59:59.000000000 +0100
+++ fltk-config	2005-05-17 21:28:20.000000000 +0100
@@ -36,7 +36,13 @@
 
 ### BEGIN fltk-config
 
-selfdir=`dirname $0`
+selfdir=`readlink $0`
+if test -n "$selfdir"; then
+	selfdir=`dirname $selfdir`
+else
+	selfdir=`dirname $0`
+fi
+
 prefix=/Users/Shared/fltk
 exec_prefix=${prefix}
 exec_prefix_set=no
@@ -112,6 +118,9 @@
 	[--ldstaticflags] return flags to link against static FLTK library
                                           even if there are DSOs installed
 	[--libs]          return FLTK libraries full path for dependencies
+	[--cxx-name]      return name of C++ compiler used to build FLTK
+	[--cc-name]       return name of C compiler used to build FLTK
+	[--fltk-path]     return path to FLTK installation
 
 Option to compile and link an application:
 	[-g]              compile the program with debugging information
@@ -173,6 +182,15 @@
 	--libs)
 	    echo_libs=yes
 	    ;;
+	--cxx-name)
+	    echo_cxx_name=yes
+	    ;;
+	--cc-name)
+	    echo_cc_name=yes
+	    ;;
+	--fltk-path)
+	    echo_fltk_dir=yes
+	    ;;
 	-g)
 	    debug=-g
 	    ;;
@@ -295,6 +313,18 @@
     echo $LIBS
 fi
 
+if test "$echo_fltk_dir" = "yes"; then
+    echo $prefix
+fi
+
+if test "$echo_cc_name" = "yes"; then
+    echo $CC
+fi
+
+if test "$echo_cxx_name" = "yes"; then
+    echo $CXX
+fi
+
 #
 # End of "$Id: fltk-config.in 4341 2005-05-12 17:27:59Z mike $".
 #
